Debian Bug report logs - #345956
misleading apt-get warning message from apt-key

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Emil Nowak <emil5@go2.pl>

Date: Wed, 4 Jan 2006 14:18:15 UTC

Severity: serious

Tags: d-i

Merged with 345823, 345891, 346002, 347540

Found in version apt/0.6.43

Fixed in version 0.6.43.1

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#345956; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Emil Nowak <emil5@go2.pl>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emil Nowak <emil5@go2.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: misleading apt-get warning message from apt-key
Date: Wed, 04 Jan 2006 15:13:16 +0100
Package: apt
Version: 0.6.43
Severity: minor

when running apt-get update
I have the following warning/error message:
"W: GPG error: ftp://ftp.debian.org unstable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 010908312D230C5F
W: You may want to run apt-get update to correct these problems"

This suggestion, about running apt-get update is misleading, because it
doesn't fix anything. There should be some message, about apt-key or about
keyring some link to manual.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-2-686
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)

Versions of packages apt depends on:
ii  libc6                         2.3.5-9    GNU C Library: Shared libraries an
ii  libgcc1                       1:4.0.2-5  GCC support library
ii  libstdc++6                    4.0.2-5    The GNU Standard C++ Library v3

apt recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#345956; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harald.dunkel@t-online.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 345956@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harald.dunkel@t-online.de>
To: 345956@bugs.debian.org
Subject: please check #316915
Date: Wed, 04 Jan 2006 21:58:05 +0100
[Message part 1 (text/plain, inline)]
It seems that this is a dup of #316915, isn't it?


Regards

Harri
[signature.asc (application/pgp-signature, attachment)]

Severity set to `serious'. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 345823 345891 345956 346002. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 345823 345891 345956 346002 347540. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:57:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:22:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.